// some basic defines 
#define TEast 0 
#define TWest 1 
#define TGuerrila 2 
#define TCivilian 3 
#define TSideUnknown 4 
#define TEnemy 5 
#define TFriendly 6 
#define TLogic 7 

#define true 1 
#define false 0 

// type scope 
#define private 0 
#define protected 1 
#define public 2 

#define WeaponNoSlot0// dummy weapons 
#define WeaponSlotPrimary1// primary weapons 
#define WeaponSlotSecondary16// secondary weapons 
#define WeaponSlotItem256// items 
#define WeaponSlotBinocular4096// binocular 
#define WeaponHardMounted65536 

class CfgPatches 
{
	class DMX_PilotNH
	{
		units[] = {DMX_PilotNH};
		weapons[] = {};
		requiredVersion = 1.70;
	};
	class DMX_PilotC
	{
		units[] = {DMX_PilotC};
		weapons[] = {};
		requiredVersion = 1.70;
	};	
};
class CfgModels
{
	class Default{};
	class Man: Default{};
	class DMX_WESTPILOTNH: Man{};
};

class CfgVehicles 
{
	class All{};
	class AllVehicles: All{};
	class Land: AllVehicles{};
	class Man: Land {}; 
	class Soldier: Man {}; 
	class SoldierWB: Soldier {};
	class SoldierWPilot: SoldierWB {};
	class DMX_PilotNH: SoldierWPilot
		{
		displayname="DMX Pilot - No Helmet";
		model="\DMX_WPNH\DMX_WESTPilotNH";
		weapons[]={"beretta","Binocular","NVGoggles","Throw","Put"};
		magazines[]={"berettaMAG","berettaMAG","berettaMAG","berettaMAG"};
		wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen","\dmx_wpnh\w_pilot_hrud_p.pac","\dmx_wpnh\w_pilot_hrud_p_D.pac","\dmx_wpnh\w_pilot_nohy_p.pac","\dmx_wpnh\w_pilot_nohy_p_D.pac","\dmx_wpnh\w_pilot_nohy_z.pac","\dmx_wpnh\w_pilot_nohy_z.pac","\dmx_wpnh\w_pilot_nohy_z_D.pac","\dmx_wpnh\w_pilot_nohybok_l.pac","\dmx_wpnh\w_pilot_nohybok_l_D.paa","\dmx_wpnh\w_pilot_nohybok_l_d.pac","\dmx_wpnh\w_pilot_nohybok_p.pac","\dmx_wpnh\w_pilot_nohybok_p_d.pac","\dmx_wpnh\w_pilot_ramena.pac","\dmx_wpnh\w_pilot_ramena_d.pac","\dmx_wpnh\w_pilot_rucebok_l.pac","\dmx_wpnh\w_pilot_rucebok_l_d.pac","\dmx_wpnh\w_pilot_rucebok_p.pac","\dmx_wpnh\w_pilot_rucebok_p_D.pac","\dmx_wpnh\w_pilot_zada_z.pac","\dmx_wpnh\w_pilot_zada_z_D.pac"};

		};
	class SoldierWCaptive: SoldierWB{};
	class DMX_PilotC: SoldierWCaptive
		{
		displayname="DMX Pilot - Captive"
		model="\DMX_WPNH\DMX_WESTPilotNH";
		weapons[]={};
		magazines[]={};
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen","\dmx_wpnh\w_pilot_hrud_p.pac","\dmx_wpnh\w_pilot_hrud_p_D.pac","\dmx_wpnh\w_pilot_nohy_p.pac","\dmx_wpnh\w_pilot_nohy_p_D.pac","\dmx_wpnh\w_pilot_nohy_z.pac","\dmx_wpnh\w_pilot_nohy_z.pac","\dmx_wpnh\w_pilot_nohy_z_D.pac","\dmx_wpnh\w_pilot_nohybok_l.pac","\dmx_wpnh\w_pilot_nohybok_l_D.paa","\dmx_wpnh\w_pilot_nohybok_l_d.pac","\dmx_wpnh\w_pilot_nohybok_p.pac","\dmx_wpnh\w_pilot_nohybok_p_d.pac","\dmx_wpnh\w_pilot_ramena.pac","\dmx_wpnh\w_pilot_ramena_d.pac","\dmx_wpnh\w_pilot_rucebok_l.pac","\dmx_wpnh\w_pilot_rucebok_l_d.pac","\dmx_wpnh\w_pilot_rucebok_p.pac","\dmx_wpnh\w_pilot_rucebok_p_D.pac","\dmx_wpnh\w_pilot_zada_z.pac","\dmx_wpnh\w_pilot_zada_z_D.pac"};
		};
};